%define upstream_name    Pod-Weaver-Section-Support
%define upstream_version 1.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Add a SUPPORT section to your POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 1.30.0
BuildRequires: perl(Moose::Autobox) >= 0.100.0
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.10.0
BuildRequires: perl(Pod::Weaver::Role::Section) >= 3.100.710
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This section plugin will produce a hunk of pod that lists the various ways
to get support for this module. It will do this only if it is being built
with the Dist::Zilla manpage because it needs the data from the dzil
object.

If you have the Dist::Zilla::Plugin::Repository manpage enabled in your
_dist.ini_, be sure to check the repository_link attribute!

This is added *ONLY* to the main module's POD, because it would be a waste
of space to add it to all modules in the dist.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.7.0-4pclos2017
- rebuild against updates

